#include "adjnull.h"
#include "bool.h"

/*
  Function: adjnull
  -----------------
  Zeros out the output (unless add is TRUE).
  Useful first step for any linear operator. */
void adjnull (bool adj, bool add, int nx, float *x,int ny, float* y) {
  int i;

  if( add == FALSE) {
    if( adj == TRUE) {
      for (i = 0; i < nx; i++) {
  x[i] = 0.;
      }
    } else {
      for (i = 0; i < ny; i++) {
  y[i] = 0.;
      }
    }
  }
}
