#include<myalloc.h>
#include<seplib.h>


/*simple function for 1-D allocation*/
void *salloc (int n, size_t size) {
  void *ptr;

  ptr = malloc (n*size);
  if (ptr == NULL)
    seperr ("salloc:can't allocate %d bytes:", n*size);
  return ptr;
}

/*simple function for 2-D allocation*/
void **salloc2 (int n1, int n2, size_t size) {
  void **ptr;
  int i2;

  ptr = (void**) malloc (n2*sizeof(void*));
  if (ptr == NULL)
    seperr ("salloc:can't allocate %d bytes:", n2*sizeof(void*));

  for (i2=0; i2 < n2; i2++) {
    ptr[i2] = salloc (n1,size);
  }

  return ptr;
}

void sfree2 (int n2, void** p)
{
  int i2;

  for (i2=0; i2 < n2; i2++) {
    free (p[i2]);
  }
  free (p);
}






