#ifndef SOLVER
#define SOLVER 1
#include<bool.h>

typedef void (*operator)(bool,bool,int,float*,int,float*);
typedef void (*stepper)(bool,int,int,float*,const float*,float*,const float*);
void   solver (operator oper, stepper solv, int nmod,float *mod, int ndat,
       const float* dat, int niter);
void   solver_reg (operator oper, stepper solv, operator reg, int nreg, 
       int nmod,float *mod, int ndat, const float* dat, int niter,float eps);
#endif
